// sssDlg.cpp : implementation file
//

#include "stdafx.h"
#include "sss.h"
#include "sssDlg.h"
#include <new>


/////////////////////////////////////////////////////////////////////////////
// CSssDlg dialog

CSssDlg::CSssDlg(CWnd* pParent /*=NULL*/)
: CDialog(CSssDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CSssDlg)
    //}}AFX_DATA_INIT
    // Note that LoadIcon does not require a subsequent DestroyIcon in Win32
    m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSssDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CSssDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSssDlg, CDialog)
//{{AFX_MSG_MAP(CSssDlg)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_EDIT2, OnChangeEdit2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSssDlg message handlers

BOOL CSssDlg::OnInitDialog() 
{
    CDialog::OnInitDialog();
    
    m_brush1.CreateSolidBrush(RGB(0, 255, 0));
    m_brush2.CreateHatchBrush(HS_DIAGCROSS, RGB(0, 255, 0));
    
    return TRUE;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}


HBRUSH CSssDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
    HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
    
    switch(nCtlColor)
    {
    case CTLCOLOR_EDIT:
        {
            pDC->SetTextColor(RGB(255, 0, 0));
            
            if(pWnd->GetDlgCtrlID() == IDC_EDIT1)
            {
                pDC->SetBkColor(RGB(0, 255, 0));
                return m_brush1;
            }
            else if(pWnd->GetDlgCtrlID() == IDC_EDIT2)
            {
                CRect rc;
                GetDlgItem(IDC_EDIT2)->GetWindowRect(rc);
                ScreenToClient(rc);
                pDC->SetBkMode(TRANSPARENT);
                pDC->FillRect(rc, &m_brush2);
                return m_brush2;
            }
        }
    }
    // TODO: Return a different brush if the default is not desired
    return hbr;
    
}


void CSssDlg::OnChangeEdit2() 
{
    CRect rc;
    GetDlgItem(IDC_EDIT2)->GetWindowRect(rc);
    ScreenToClient(rc);
    InvalidateRect(rc);
}
